#ifndef FORCESTRUCT_H
#define FORCESTRUCT_H
/*
 *  forceStruct.h
 *
 *    Acquisition des donnée du capteur de force JR3
 *
 *  Daniel SIDOBRE
 *
 * Copyright (c) 2006 LAAS/CNRS 
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *    - Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *    - Redistributions in binary form must reproduce the above
 *      copyright notice, this list of conditions and the following
 *      disclaimer in the documentation and/or other materials provided
 *      with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
 * ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 *
 * 
 */

typedef struct FORCE_STATE_STR {
  int numberFFT;
  int moduleInitialized;
} FORCE_STATE_STR;

// typedef struct FORCE_PEAK_STR {
//   double peak;
//   int frequency;
//   int inutile;
// } FORCE_PEAK_STR;

typedef struct FORCE_DETECT_STR {
  double threshold;
  double value;
  int nb_val_fft;
  int grasped;  /* 1 if "grasped", 0 if not */
} FORCE_DETECT_STR;

typedef struct FORCE_MONITOR_DATA_STR {
  double threshold;
  Gb_force direction;
} FORCE_MONITOR_DATA_STR;

typedef struct FORCE_MONITOR_STR {
  FORCE_MONITOR_DATA_STR eq;
  Gb_force force0;
  double value;
} FORCE_MONITOR_STR;


#endif

